<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myStockOpnameItemLabel" jhiTranslate="mpmApp.stockOpnameItem.home.createOrEditLabel">Create or edit a Stock Opname Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!stockOpnameItem.idStockopnameItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="stockOpnameItem.idStockopnameItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.itemDescription" for="field_itemDescription">Item Description</label>
                    <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                        [(ngModel)]="stockOpnameItem.itemDescription" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="stockOpnameItem.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.qtyCount" for="field_qtyCount">Qty Count</label>
                    <input currencyMask class="form-control" name="qtyCount" id="field_qtyCount"
                        [(ngModel)]="stockOpnameItem.qtyCount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.tagNumber" for="field_tagNumber">Tag Number</label>
                    <input type="text" class="form-control" name="tagNumber" id="field_tagNumber"
                        [(ngModel)]="stockOpnameItem.tagNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.hasChecked" for="field_hasChecked">Has Checked</label>
                    <div class="input-group">
                        <label class="form-check-label">
                            <p-checkbox name="input_hasChecked" label="{{'mpmApp.stockOpnameItem.hasChecked'| translate}}" styleClass="form-check-input"
                                [(ngModel)]="stockOpnameItem.hasChecked" binary="true"></p-checkbox>
                        </label>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.het" for="field_het">Het</label>
                    <input currencyMask class="form-control" name="het" id="field_het"
                        [(ngModel)]="stockOpnameItem.het"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idStockOpname === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.stockOpname" for="field_stockOpname">Stock Opname</label>
                    <select class="form-control" id="field_stockOpname" name="stockOpname" [(ngModel)]="stockOpnameItem.stockOpnameId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="stockOpnameOption.idStockOpname" *ngFor="let stockOpnameOption of stockopnames; trackBy: trackStockOpnameById">{{stockOpnameOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idProduct === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.product" for="field_product">Product</label>
                    <select class="form-control" id="field_product" name="product" [(ngModel)]="stockOpnameItem.productId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idContainer === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.stockOpnameItem.container" for="field_container">Container</label>
                    <select class="form-control" id="field_container" name="container" [(ngModel)]="stockOpnameItem.containerId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="containerOption.idContainer" *ngFor="let containerOption of containers; trackBy: trackContainerById">{{containerOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
